# In-store detail (deprecated)

This endpoint is deprecated. 
Use the general sales channels endpoint (/api/sales-channels/{guid}) instead.

Provides detailed information about the in-store.
This endpoint is available only when the 'In-store sales channel' module is active. It is currently considered beta/experimental, and its structure may change in the future.

Endpoint: GET /api/in-stores/{id}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `id` (integer, required)
    In-store ID
    Example: 1

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.inStore` (object, required)

  - `data.inStore.id` (integer, required)
    In-store identifier.

  - `data.inStore.guid` (string, required)
    In-store GUID.

  - `data.inStore.address` (any, required)
    In-store address (can be null).

  - `data.inStore.contact` (object, required)
    In store contact information.

  - `data.inStore.contact.email` (string,null, required)
    in-store contact email

  - `data.inStore.contact.phone` (string,null, required)
    in-store contact phone

  - `data.inStore.contact.openingHour` (string,null, required)
    in-store opening hours

  - `data.inStore.contact.transport` (string,null, required)
    in-store transport information

  - `data.inStore.categoryId` (integer, required)
    Project category identifier.

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 403 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


